Bug 239665 - very large scheduling latency when restart X
very large scheduling latency when restart X
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Zijlstra
Martin Jenner
:
: 239666 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 08:58 EDT by Eddy Zhao
Modified: 2014-08-11 01:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eddy Zhao 2007-05-10 08:58:58 EDT
Our realtime app is troubled by a realtime problem related to X on RHEL4U4, you 
can reproduce the problem like below

 * run RHEL4U4
 * boot into runlevel 5
 * killall -9 X
 * system scheduling latency (+ interrupt latency) jumps to 6382ms!! 

I'm using realfeel to measure scheduling latency, you can find the tool below
(PS. before compiling the tool, you should change SAMPLES to larger value, eg. 
10000000)

  http://www.captain.at/howto-captest.tar.gz
  http://www.captain.at/howto-linux-real-time-patch.php

The problem was reproduced on 3 test machines, all have configuration below

 * /etc/redhat-release
     Red Hat Enterprise Linux AS release 4 (Nahant Update 4)
 * uname -a
     Linux localhost.localdomain 2.6.9-42.EL #1 Wed Jul 12 23:16:43 EDT 2006 
i686 i686 i386 GNU/Linux
 * lspci | grep VGA
     00:02.0 VGA compatible controller: Intel Corporation 945G/GZ Express 
Integrated Graphics Controller (rev 02)

Test result is below

  0.0 15214
  0.1 3
  0.2 373
  0.3 3
  0.4 91
  0.6 1
  3.1 1
  4.1 1
  6382.4 1
 
If using smp kernel, scheduling latency jumps to 100ms
Comment 1 Jay Fenlason 2007-09-27 14:09:28 EDT
*** Bug 239666 has been marked as a duplicate of this bug. ***
Comment 2 Jiri Pallich 2012-06-20 12:11:54 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.